class SushiNet::StoreTask < Borges::TaskFrame

  def browse
    call SushiNet::StoreBrowseFrame.new
  end

  def checkout_successful
    call SushiNet::StoreCheckoutTask.new
  end

  def go
    browse

    until checkout_successful do
      browse
    end

    say_goodbye
  end

  register_application 'store', SushiNet::StoreSession

end # class SushiNet::StoreTask

